Enrich Contacts In Bulk
Enrichment
Start Bulk Enrichment
POST
Enrich Contacts In Bulk
Documentation Index
Fetch the complete documentation index at: https://docs.fullenrich.com/llms.txt
Use this file to discover all available pages before exploring further.
First time? Set up Authentication
Learn how to authenticate your API requests with your API key.
- Work email (1 credit)
- Mobile phone number (10 credits)
- Personal Email (3 credits)
Input needed
To enrich a contact, you must provide either:first_name+last_name&company(domain or company_name)linkedin_url
linkedin_url, we will also return a full contact and company profile (job title, location, headcount, etc.).
Practical tips
You can enrich up to 100 contacts in bulk. If you want to enrich only 1 contact, you can pass only 1 contact in the list. All enrichments started on the API are visible on your FullEnrich dashboard. It is good practice to use a readable ‘name’ for each enrichment. This way, you can easily search through them. For instance, if you are enriching just one contact, you might name your enrichment ‘Firstname Lastname’. To pass specific properties, utilize the ‘custom’ field by passing an object. For example, if you are enriching a contact from your CRM, include the CRM ‘contact_id’ in the custom object. This allows you to reference the contact_id when you receive the result on your webhook. The custom value should be a cast as a string (number will return an error) To retrieve the results of your enrichment, you can either provide a webhook URL [recommended] or call the GET /bulk/enrichment_id endpoint [not recommended].How Do Webhooks Work? [Recommended Read]
Learn how to receive results in real-time, set up per-contact webhooks, and track requests with custom fields.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
A readable name for this enrichment (visible in your dashboard)
URL that will receive a POST request when the entire enrichment is finished (all contacts processed).
Optional webhook URLs for specific events during enrichment
Response
OK
Example:
"2db5ea61-1752-42cf-8ea1-ab1da060cd0a"